angular.module('focaModalResumenCuenta')
    .factory('focaModalResumenCuentaService', ['$http', 'API_ENDPOINT', function ($http, API_ENDPOINT) {
        return {
            getResumenCuenta: function (idCliente, idMoneda, fechaDesde) {
                return $http.get(API_ENDPOINT.URL + '/factura/cliente/' + idCliente + '/' + idMoneda + '/' +
                    fechaDesde + '/' + '2100-12-31' + '/' + true);
                // '2001-01-01', 
                // '2100-12-31'
            },
            enviarFacturaPorMail: function (receiver, factura) {
                return $http.post(API_ENDPOINT.URL + '/mail',
                    { receiver: receiver, factura: factura });
            },
            enviarResumenPorMail: function (receiver, resumen) {
                return $http.post(API_ENDPOINT.URL + '/mail/resumen-cuenta',
                    { receiver: receiver, resumen: resumen });
            }
        };
    }]);
